> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a supplier skus

> Create a supplier skus

### Request body

`CreateSupplierSkuRequest`

<ParamField body="lead_time_days" type="integer,null (int32)" />

<ParamField body="min_order_qty" type="string,null" />

<ParamField body="product_id" type="string" required />

<ParamField body="sku" type="string" required />

<ParamField body="supplier_id" type="string" required />

<ParamField body="unit_cost" type="string,null">
  Optional unit cost as a string (e.g. `'9.99'`).
</ParamField>

### Responses

<ResponseField name="201" type="SupplierSkuResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/supplier-skus' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "lead_time_days": null,
    "min_order_qty": null,
    "product_id": "string",
    "sku": "string",
    "supplier_id": "string",
    "unit_cost": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "currency": "string",
    "id": "string",
    "is_preferred": true,
    "product_id": "string",
    "sku": "string",
    "supplier_id": "string",
    "unit_cost": null
  }
  ```
</ResponseExample>
